Index: /palm/trunk/SOURCE/data_output_module.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_module.f90	(revision 4576)
+++ /palm/trunk/SOURCE/data_output_module.f90	(revision 4577)
@@ -3076,8 +3091,8 @@
 !--          Write dimension attributes
              DO  a = 1, SIZE( file%dimensions(d)%attributes )
-                return_value = write_attribute( file%format, file%id, file%name, &
-                                  variable_id=file%dimensions(d)%variable_id,    &
-                                  variable_name=file%dimensions(d)%name,         &
-                                  attribute=file%dimensions(d)%attributes(a) )
+                return_value = write_attribute( file%format, file%id, file%name,                   &
+                                                variable_id=file%dimensions(d)%variable_id,        &
+                                                variable_name=file%dimensions(d)%name,             &
+                                                attribute=file%dimensions(d)%attributes(a) )
                 IF ( return_value /= 0 )  EXIT
              ENDDO
@@ -3089,5 +3104,5 @@
 !
 !--    Save dimension IDs for variables wihtin database
-       IF ( return_value == 0 )  &
+       IF ( return_value == 0 )                                                                    &
           CALL collect_dimesion_ids_for_variables( file%name, file%variables, file%dimensions, &
                                                    return_value )
@@ -3097,7 +3112,7 @@
           DO  d = 1, SIZE( file%variables )
 
-             CALL init_file_variable( file%format, file%id, file%name,                          &
-                     file%variables(d)%id, file%variables(d)%name, file%variables(d)%data_type, &
-                     file%variables(d)%dimension_ids,                                           &
+             CALL init_file_variable( file%format, file%id, file%name,                             &
+                     file%variables(d)%id, file%variables(d)%name, file%variables(d)%data_type,    &
+                     file%variables(d)%dimension_ids,                                              &
                      file%variables(d)%is_global, return_value )
 
@@ -3106,8 +3121,8 @@
 !--             Write variable attributes
                 DO  a = 1, SIZE( file%variables(d)%attributes )
-                   return_value = write_attribute( file%format, file%id, file%name, &
-                                     variable_id=file%variables(d)%id,              &
-                                     variable_name=file%variables(d)%name,          &
-                                     attribute=file%variables(d)%attributes(a) )
+                   return_value = write_attribute( file%format, file%id, file%name,                &
+                                                   variable_id=file%variables(d)%id,               &
+                                                   variable_name=file%variables(d)%name,           &
+                                                   attribute=file%variables(d)%attributes(a) )
                    IF ( return_value /= 0 )  EXIT
                 ENDDO
@@ -3128,7 +3143,9 @@
 !> Initialize dimension in file.
 !--------------------------------------------------------------------------------------------------!
- SUBROUTINE init_file_dimension( file_format, file_id, file_name,              &
-               dimension_id, dimension_name, dimension_type, dimension_length, &
-               variable_id, return_value )
+ SUBROUTINE init_file_dimension( file_format, file_id, file_name,                                  &
+                                 dimension_id, dimension_name, dimension_type, dimension_length,   &
+                                 variable_id, return_value )
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'init_file_dimension'  !< file format chosen for file
 
     CHARACTER(LEN=*), INTENT(IN) ::  dimension_name  !< name of dimension
@@ -3136,6 +3153,4 @@
     CHARACTER(LEN=*), INTENT(IN) ::  file_format     !< file format chosen for file
     CHARACTER(LEN=*), INTENT(IN) ::  file_name       !< name of file
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'init_file_dimension'  !< file format chosen for file
 
     INTEGER, INTENT(OUT) ::  dimension_id         !< dimension ID
@@ -3150,5 +3165,5 @@
     output_return_value = 0
 
-    temp_string = '(file "' // TRIM( file_name ) // &
+    temp_string = '(file "' // TRIM( file_name ) //                                                &
                   '", dimension "' // TRIM( dimension_name ) // '")'
 
@@ -3156,22 +3171,22 @@
 
        CASE ( 'binary' )
-          CALL binary_init_dimension( 'binary', file_id, dimension_id, variable_id, &
-                  dimension_name, dimension_type, dimension_length,                 &
-                  return_value=output_return_value )
+          CALL binary_init_dimension( 'binary', file_id, dimension_id, variable_id,                &
+                                       dimension_name, dimension_type, dimension_length,           &
+                                       return_value=output_return_value )
 
        CASE ( 'netcdf4-serial' )
-          CALL netcdf4_init_dimension( 'serial', file_id, dimension_id, variable_id, &
-                  dimension_name, dimension_type, dimension_length,                  &
-                  return_value=output_return_value )
+          CALL netcdf4_init_dimension( 'serial', file_id, dimension_id, variable_id,               &
+                                       dimension_name, dimension_type, dimension_length,           &
+                                       return_value=output_return_value )
 
        CASE ( 'netcdf4-parallel' )
-          CALL netcdf4_init_dimension( 'parallel', file_id, dimension_id, variable_id, &
-                  dimension_name, dimension_type, dimension_length,                    &
-                  return_value=output_return_value )
+          CALL netcdf4_init_dimension( 'parallel', file_id, dimension_id, variable_id,             &
+                                       dimension_name, dimension_type, dimension_length,           &
+                                       return_value=output_return_value )
 
        CASE DEFAULT
           return_value = 1
-          CALL internal_message( 'error', routine_name //                    &
-                                 ': file format "' // TRIM( file_format ) // &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': file format "' // TRIM( file_format ) //                       &
                                  '" not supported ' // TRIM( temp_string ) )
 
@@ -3180,5 +3195,5 @@
     IF ( output_return_value /= 0 )  THEN
        return_value = output_return_value
-       CALL internal_message( 'error', routine_name // &
+       CALL internal_message( 'error', routine_name //                                             &
                               ': error while defining dimension ' // TRIM( temp_string ) )
     ENDIF
@@ -3191,7 +3206,9 @@
 !> Initialize variable.
 !--------------------------------------------------------------------------------------------------!
- SUBROUTINE init_file_variable( file_format, file_id, file_name,        &
-                                variable_id, variable_name, variable_type, dimension_ids, &
+ SUBROUTINE init_file_variable( file_format, file_id, file_name,                                   &
+                                variable_id, variable_name, variable_type, dimension_ids,          &
                                 is_global, return_value )
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'init_file_variable'  !< file format chosen for file
 
     CHARACTER(LEN=*), INTENT(IN) ::  file_format    !< file format chosen for file
@@ -3200,6 +3217,4 @@
     CHARACTER(LEN=*), INTENT(IN) ::  variable_type  !< data type of variable
 
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'init_file_variable'  !< file format chosen for file
-
     INTEGER, INTENT(IN)  ::  file_id              !< file ID
     INTEGER              ::  output_return_value  !< return value of a called output routine
@@ -3221,19 +3236,19 @@
 
        CASE ( 'binary' )
-          CALL binary_init_variable( 'binary', file_id, variable_id, variable_name, &
+          CALL binary_init_variable( 'binary', file_id, variable_id, variable_name,                &
                   variable_type, dimension_ids, is_global, return_value=output_return_value )
 
        CASE ( 'netcdf4-serial' )
-          CALL netcdf4_init_variable( 'serial', file_id, variable_id, variable_name, &
+          CALL netcdf4_init_variable( 'serial', file_id, variable_id, variable_name,               &
                   variable_type, dimension_ids, is_global, return_value=output_return_value )
 
        CASE ( 'netcdf4-parallel' )
-          CALL netcdf4_init_variable( 'parallel', file_id, variable_id, variable_name, &
+          CALL netcdf4_init_variable( 'parallel', file_id, variable_id, variable_name,             &
                   variable_type, dimension_ids, is_global, return_value=output_return_value )
 
        CASE DEFAULT
           return_value = 1
-          CALL internal_message( 'error', routine_name //                    &
-                                 ': file format "' // TRIM( file_format ) // &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': file format "' // TRIM( file_format ) //                       &
                                  '" not supported ' // TRIM( temp_string ) )
 
@@ -3253,6 +3268,8 @@
 !> Write attribute to file.
 !--------------------------------------------------------------------------------------------------!
- FUNCTION write_attribute( file_format, file_id, file_name,        &
-                           variable_id, variable_name, attribute ) RESULT( return_value )
+ FUNCTION write_attribute( file_format, file_id, file_name, variable_id, variable_name, attribute )&
+    RESULT( return_value )
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'write_attribute'  !< file format chosen for file
 
     CHARACTER(LEN=*), INTENT(IN) ::  file_format    !< file format chosen for file
@@ -3260,9 +3277,7 @@
     CHARACTER(LEN=*), INTENT(IN) ::  variable_name  !< variable name
 
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'write_attribute'  !< file format chosen for file
-
     INTEGER, INTENT(IN) ::  file_id              !< file ID
+    INTEGER             ::  output_return_value  !< return value of a called output routine
     INTEGER             ::  return_value         !< return value
-    INTEGER             ::  output_return_value  !< return value of a called output routine
     INTEGER, INTENT(IN) ::  variable_id          !< variable ID
 
@@ -3274,6 +3289,6 @@
 !
 !-- Prepare for possible error message
-    temp_string = '(file "' // TRIM( file_name ) //           &
-                  '", variable "' // TRIM( variable_name ) // &
+    temp_string = '(file "' // TRIM( file_name ) //                                                &
+                  '", variable "' // TRIM( variable_name ) //                                      &
                   '", attribute "' // TRIM( attribute%name ) // '")'
 !
@@ -3286,39 +3301,39 @@
 
              CASE( 'char' )
-                CALL binary_write_attribute( file_id=file_id, variable_id=variable_id,  &
-                        attribute_name=attribute%name, value_char=attribute%value_char, &
+                CALL binary_write_attribute( file_id=file_id, variable_id=variable_id,             &
+                        attribute_name=attribute%name, value_char=attribute%value_char,            &
                         return_value=output_return_value )
 
              CASE( 'int8' )
-                CALL binary_write_attribute( file_id=file_id, variable_id=variable_id,  &
-                        attribute_name=attribute%name, value_int8=attribute%value_int8, &
+                CALL binary_write_attribute( file_id=file_id, variable_id=variable_id,             &
+                        attribute_name=attribute%name, value_int8=attribute%value_int8,            &
                         return_value=output_return_value )
 
              CASE( 'int16' )
-                CALL binary_write_attribute( file_id=file_id, variable_id=variable_id,    &
-                        attribute_name=attribute%name, value_int16=attribute%value_int16, &
+                CALL binary_write_attribute( file_id=file_id, variable_id=variable_id,             &
+                        attribute_name=attribute%name, value_int16=attribute%value_int16,          &
                         return_value=output_return_value )
 
              CASE( 'int32' )
-                CALL binary_write_attribute( file_id=file_id, variable_id=variable_id,    &
-                        attribute_name=attribute%name, value_int32=attribute%value_int32, &
+                CALL binary_write_attribute( file_id=file_id, variable_id=variable_id,             &
+                        attribute_name=attribute%name, value_int32=attribute%value_int32,          &
                         return_value=output_return_value )
 
              CASE( 'real32' )
-                CALL binary_write_attribute( file_id=file_id, variable_id=variable_id,      &
-                        attribute_name=attribute%name, value_real32=attribute%value_real32, &
+                CALL binary_write_attribute( file_id=file_id, variable_id=variable_id,             &
+                        attribute_name=attribute%name, value_real32=attribute%value_real32,        &
                         return_value=output_return_value )
 
              CASE( 'real64' )
-                CALL binary_write_attribute( file_id=file_id, variable_id=variable_id,      &
-                        attribute_name=attribute%name, value_real64=attribute%value_real64, &
+                CALL binary_write_attribute( file_id=file_id, variable_id=variable_id,             &
+                        attribute_name=attribute%name, value_real64=attribute%value_real64,        &
                         return_value=output_return_value )
 
              CASE DEFAULT
                 return_value = 1
-                CALL internal_message( 'error', routine_name //                     &
-                                       ': file format "' // TRIM( file_format ) //  &
-                                       '" does not support attribute data type "'// &
-                                       TRIM( attribute%data_type ) //               &
+                CALL internal_message( 'error', routine_name //                                    &
+                                       ': file format "' // TRIM( file_format ) //                 &
+                                       '" does not support attribute data type "'//                &
+                                       TRIM( attribute%data_type ) //                              &
                                        '" ' // TRIM( temp_string ) )
 
@@ -3330,39 +3345,39 @@
 
              CASE( 'char' )
-                CALL netcdf4_write_attribute( file_id=file_id, variable_id=variable_id, &
-                        attribute_name=attribute%name, value_char=attribute%value_char, &
+                CALL netcdf4_write_attribute( file_id=file_id, variable_id=variable_id,            &
+                        attribute_name=attribute%name, value_char=attribute%value_char,            &
                         return_value=output_return_value )
 
              CASE( 'int8' )
-                CALL netcdf4_write_attribute( file_id=file_id, variable_id=variable_id, &
-                        attribute_name=attribute%name, value_int8=attribute%value_int8, &
+                CALL netcdf4_write_attribute( file_id=file_id, variable_id=variable_id,            &
+                        attribute_name=attribute%name, value_int8=attribute%value_int8,            &
                         return_value=output_return_value )
 
              CASE( 'int16' )
-                CALL netcdf4_write_attribute( file_id=file_id, variable_id=variable_id,   &
-                        attribute_name=attribute%name, value_int16=attribute%value_int16, &
+                CALL netcdf4_write_attribute( file_id=file_id, variable_id=variable_id,            &
+                        attribute_name=attribute%name, value_int16=attribute%value_int16,          &
                         return_value=output_return_value )
 
              CASE( 'int32' )
-                CALL netcdf4_write_attribute( file_id=file_id, variable_id=variable_id,   &
-                        attribute_name=attribute%name, value_int32=attribute%value_int32, &
+                CALL netcdf4_write_attribute( file_id=file_id, variable_id=variable_id,            &
+                        attribute_name=attribute%name, value_int32=attribute%value_int32,          &
                         return_value=output_return_value )
 
              CASE( 'real32' )
-                CALL netcdf4_write_attribute( file_id=file_id, variable_id=variable_id,     &
-                        attribute_name=attribute%name, value_real32=attribute%value_real32, &
+                CALL netcdf4_write_attribute( file_id=file_id, variable_id=variable_id,            &
+                        attribute_name=attribute%name, value_real32=attribute%value_real32,        &
                         return_value=output_return_value )
 
              CASE( 'real64' )
-                CALL netcdf4_write_attribute( file_id=file_id, variable_id=variable_id,     &
-                        attribute_name=attribute%name, value_real64=attribute%value_real64, &
+                CALL netcdf4_write_attribute( file_id=file_id, variable_id=variable_id,            &
+                        attribute_name=attribute%name, value_real64=attribute%value_real64,        &
                         return_value=output_return_value )
 
              CASE DEFAULT
                 return_value = 1
-                CALL internal_message( 'error', routine_name //                     &
-                                       ': file format "' // TRIM( file_format ) //  &
-                                       '" does not support attribute data type "'// &
-                                       TRIM( attribute%data_type ) //               &
+                CALL internal_message( 'error', routine_name //                                    &
+                                       ': file format "' // TRIM( file_format ) //                 &
+                                       '" does not support attribute data type "'//                &
+                                       TRIM( attribute%data_type ) //                              &
                                        '" ' // TRIM( temp_string ) )
 
@@ -3371,6 +3386,6 @@
        CASE DEFAULT
           return_value = 1
-          CALL internal_message( 'error', routine_name //                                &
-                                 ': unsupported file format "' // TRIM( file_format ) // &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': unsupported file format "' // TRIM( file_format ) //           &
                                  '" ' // TRIM( temp_string ) )
 
@@ -3379,5 +3394,5 @@
     IF ( output_return_value /= 0 )  THEN
        return_value = output_return_value
-       CALL internal_message( 'error', routine_name // &
+       CALL internal_message( 'error', routine_name //                                             &
                               ': error while writing attribute ' // TRIM( temp_string ) )
     ENDIF
@@ -3392,7 +3407,7 @@
  SUBROUTINE collect_dimesion_ids_for_variables( file_name, variables, dimensions, return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'collect_dimesion_ids_for_variables'  !< file format chosen for file
+
     CHARACTER(LEN=*), INTENT(IN) ::  file_name !< name of file
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'collect_dimesion_ids_for_variables'  !< file format chosen for file
 
     INTEGER              ::  d             !< loop index
@@ -3403,5 +3418,5 @@
     INTEGER, INTENT(OUT) ::  return_value  !< return value
 
-    LOGICAL ::  found = .False. !< true if dimension required by variable was found in dimension list
+    LOGICAL ::  found = .FALSE. !< true if dimension required by variable was found in dimension list
 
     TYPE(dimension_type), DIMENSION(:), INTENT(IN) ::  dimensions  !< list of dimensions in file
@@ -3426,7 +3441,7 @@
           IF ( .NOT. found )  THEN
              return_value = 1
-             CALL internal_message( 'error', routine_name //                                &
-                     ': required dimension "' // TRIM( variables(i)%dimension_names(j) ) // &
-                     '" is undefined (variable "' // TRIM( variables(i)%name ) //           &
+             CALL internal_message( 'error', routine_name //                                       &
+                     ': required dimension "' // TRIM( variables(i)%dimension_names(j) ) //        &
+                     '" is undefined (variable "' // TRIM( variables(i)%name ) //                  &
                      '", file "' // TRIM( file_name ) // '")!' )
              EXIT
@@ -3447,8 +3462,8 @@
  SUBROUTINE stop_file_header_definition( file_format, file_id, file_name, return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'stop_file_header_definition'  !< name of routine
+
     CHARACTER(LEN=*), INTENT(IN) ::  file_format  !< file format
     CHARACTER(LEN=*), INTENT(IN) ::  file_name    !< file name
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'stop_file_header_definition'  !< name of routine
 
     INTEGER, INTENT(IN)  ::  file_id              !< file id
@@ -3472,6 +3487,6 @@
        CASE DEFAULT
           return_value = 1
-          CALL internal_message( 'error', routine_name //                    &
-                                 ': file format "' // TRIM( file_format ) // &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': file format "' // TRIM( file_format ) //                       &
                                  '" not supported ' // TRIM( temp_string ) )
 
@@ -3480,6 +3495,6 @@
     IF ( output_return_value /= 0 )  THEN
        return_value = output_return_value
-       CALL internal_message( 'error', routine_name //                          &
-                              ': error while leaving file-definition state ' // &
+       CALL internal_message( 'error', routine_name //                                             &
+                              ': error while leaving file-definition state ' //                    &
                               TRIM( temp_string ) )
     ENDIF
@@ -3494,12 +3509,12 @@
 !> Find a requested variable 'variable_name' and its used dimensions in requested file 'file_name'.
 !--------------------------------------------------------------------------------------------------!
- SUBROUTINE find_var_in_file( file_name, variable_name, file_format, file_id, variable_id, &
+ SUBROUTINE find_var_in_file( file_name, variable_name, file_format, file_id, variable_id,         &
                               is_global, dimensions, return_value )
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'find_var_in_file'  !< name of routine
 
     CHARACTER(LEN=charlen), INTENT(OUT) ::  file_format    !< file format chosen for file
     CHARACTER(LEN=*),       INTENT(IN)  ::  file_name      !< name of file
     CHARACTER(LEN=*),       INTENT(IN)  ::  variable_name  !< name of variable
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'find_var_in_file'  !< name of routine
 
     INTEGER              ::  d             !< loop index
@@ -3526,8 +3541,8 @@
           IF ( .NOT. files(f)%is_init )  THEN
              return_value = 1
-             CALL internal_message( 'error', routine_name //                     &
-                                    ': file not initialized. ' //                &
-                                    'Writing variable to file is impossible ' // &
-                                    '(variable "' // TRIM( variable_name ) //    &
+             CALL internal_message( 'error', routine_name //                                       &
+                                    ': file not initialized. ' //                                  &
+                                    'Writing variable to file is impossible ' //                   &
+                                    '(variable "' // TRIM( variable_name ) //                      &
                                     '", file "' // TRIM( file_name ) // '")!' )
              EXIT
@@ -3591,7 +3606,7 @@
           IF ( .NOT. found )  THEN
              return_value = 1
-             CALL internal_message( 'error', routine_name //                  &
-                                    ': variable not found in file ' //        &
-                                    '(variable "' // TRIM( variable_name ) // &
+             CALL internal_message( 'error', routine_name //                                       &
+                                    ': variable not found in file ' //                             &
+                                    '(variable "' // TRIM( variable_name ) //                      &
                                     '", file "' // TRIM( file_name ) // '")!' )
           ENDIF
@@ -3604,7 +3619,7 @@
     IF ( .NOT. found  .AND.  return_value == 0 )  THEN
        return_value = 1
-       CALL internal_message( 'error', routine_name //                  &
-                              ': file not found ' //                    &
-                              '(variable "' // TRIM( variable_name ) // &
+       CALL internal_message( 'error', routine_name //                                             &
+                              ': file not found ' //                                               &
+                              '(variable "' // TRIM( variable_name ) //                            &
                               '", file "' // TRIM( file_name ) // '")!' )
     ENDIF
@@ -3622,6 +3637,6 @@
 !> starts and origins are set to zero for all dimensions.
 !--------------------------------------------------------------------------------------------------!
- SUBROUTINE get_masked_indices_and_masked_dimension_bounds(                             &
-               dimensions, bounds_start, bounds_end, bounds_masked_start, value_counts, &
+ SUBROUTINE get_masked_indices_and_masked_dimension_bounds(                                        &
+               dimensions, bounds_start, bounds_end, bounds_masked_start, value_counts,            &
                bounds_origin, masked_indices )
 
@@ -3656,9 +3671,9 @@
 !--       Find number of masked values within given variable bounds
           value_counts(d) = 0
-          DO  i = LBOUND( dimensions(d)%masked_indices, DIM=1 ), &
+          DO  i = LBOUND( dimensions(d)%masked_indices, DIM=1 ),                                   &
                   UBOUND( dimensions(d)%masked_indices, DIM=1 )
 !
 !--          Is masked index within given bounds?
-             IF ( dimensions(d)%masked_indices(i) >= bounds_start(d)  .AND.  &
+             IF ( dimensions(d)%masked_indices(i) >= bounds_start(d)  .AND.                        &
                   dimensions(d)%masked_indices(i) <= bounds_end(d)           )  THEN
 !
@@ -3702,6 +3717,6 @@
 ! Description:
 ! ------------
-!> Message routine writing debug information into the debug file
-!> or creating the error message string.
+!> Message routine writing debug information into the debug file or creating the error message
+!> string.
 !--------------------------------------------------------------------------------------------------!
  SUBROUTINE internal_message( level, string )
@@ -3733,11 +3748,13 @@
 
     CHARACTER(LEN=*), PARAMETER ::  separation_string = '---'                   !< string separating blocks in output
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_database_debug_output'  !< name of this routine
+
+    INTEGER, PARAMETER ::  indent_depth = 3        !< space per indentation
+    INTEGER, PARAMETER ::  max_keyname_length = 6  !< length of longest key name
+
     CHARACTER(LEN=50)           ::  write_format1                               !< format for write statements
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_database_debug_output'  !< name of this routine
 
     INTEGER            ::  f                       !< loop index
-    INTEGER, PARAMETER ::  indent_depth = 3        !< space per indentation
     INTEGER            ::  indent_level            !< indentation level
-    INTEGER, PARAMETER ::  max_keyname_length = 6  !< length of longest key name
     INTEGER            ::  natts                   !< number of attributes
     INTEGER            ::  ndims                   !< number of dimensions
@@ -3750,5 +3767,5 @@
     WRITE( debug_output_unit, '(A)' ) REPEAT( separation_string // ' ', 4 )
 
-    IF ( .NOT. ALLOCATED( files ) .OR. nfiles == 0 )  THEN
+    IF ( .NOT. ALLOCATED( files )  .OR.  nfiles == 0 )  THEN
 
        WRITE( debug_output_unit, '(A)' ) 'database is empty'
@@ -3757,7 +3774,7 @@
 
        indent_level = 1
-       WRITE( write_format1, '(A,I3,A,I3,A)' ) '(T', indent_level * indent_depth + 1, ',A,T',  &
-                                         indent_level * indent_depth + 1 + max_keyname_length, &
-                                         ',(": ")'
+       WRITE( write_format1, '(A,I3,A,I3,A)' ) '(T', indent_level * indent_depth + 1, ',A,T',      &
+                                             indent_level * indent_depth + 1 + max_keyname_length, &
+                                             ',(": ")'
 
        DO  f = 1, nfiles
@@ -3791,10 +3808,12 @@
     CONTAINS
 
-!--------------------------------------------------------------------------------------------!
-    ! Description:
-    ! ------------
-    !> Print list of attributes.
-!--------------------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Print list of attributes.
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE print_attributes( indent_level, attributes )
+
+       INTEGER, PARAMETER  ::  max_keyname_length = 6  !< length of longest key name
 
        CHARACTER(LEN=50) ::  write_format1  !< format for write statements
@@ -3803,5 +3822,4 @@
        INTEGER             ::  i                       !< loop index
        INTEGER, INTENT(IN) ::  indent_level            !< indentation level
-       INTEGER, PARAMETER  ::  max_keyname_length = 6  !< length of longest key name
        INTEGER             ::  nelement                !< number of elements to print
 
